Skip to content
Start here

Refresh participant's authentication token

client.RealtimeKit.Meetings.RefreshParticipantToken(ctx, appID, meetingID, participantID, body) (*MeetingRefreshParticipantTokenResponse, error)
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}/token

Regenerates participant's authentication token for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
participantID string
body MeetingRefreshParticipantTokenParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type MeetingRefreshParticipantTokenResponse struct{…}
Data MeetingRefreshParticipantTokenResponseData

Data returned by the operation

Token string

Regenerated participant's authentication token.

Success bool

Success status of the operation

Refresh participant's authentication token

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.RefreshParticipantToken(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingRefreshParticipantTokenParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "token": "token"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "token": "token"
  },
  "success": true
}